---
updatedAt: 2026-05-19T16:20:43.000Z
agentTools:
  projectIndex: https://docs.gtm.ai/llms.txt
---

# Search Companies

Returns a list of Companies from ZoomInfo's data that meet the specified search criteria.

Input parameters may require specific values. You can use the [Lookup Data](ref:lookupinterface_lookup)
endpoint to retrieve the list of possible values

The Search Companies API only returns basic information about the company: including name, limited location details,
website, and few other basic data points. To get the additional data for companies in your results use the
[Enrich Company API](ref:enrichinterface_enrichcompany)

With reference to ZoomInfo's [Credit Usage and Limits](doc:credit-usage-and-limits), this endpoint does not
consume any credits nor do copmanies returned count towards record limits, but each request will increment against your
request limits.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Data API V1",
    "version": "1.0",
    "contact": {
      "name": "ZoomInfo Customer Support",
      "email": "help@zoominfo.com"
    },
    "description": "The Data API"
  },
  "tags": [
    {
      "name": "Search"
    }
  ],
  "paths": {
    "/data/v1/companies/search": {
      "post": {
        "operationId": "SearchInterface_searchCompany",
        "summary": "Search Companies",
        "description": "Returns a list of Companies from ZoomInfo's data that meet the specified search criteria.\n\nInput parameters may require specific values. You can use the [Lookup Data](https://docs.gtm.ai/zoominfoenterprise/reference/lookupinterface_lookup)\nendpoint to retrieve the list of possible values\n\nThe Search Companies API only returns basic information about the company: including name, limited location details,\nwebsite, and few other basic data points. To get the additional data for companies in your results use the\n[Enrich Company API](https://docs.gtm.ai/zoominfoenterprise/reference/enrichinterface_enrichcompany)\n\nWith reference to ZoomInfo's [Credit Usage and Limits](https://docs.gtm.ai/zoominfoenterprise/docs/credit-usage-and-limits), this endpoint does not\nconsume any credits nor do copmanies returned count towards record limits, but each request will increment against your\nrequest limits.",
        "parameters": [
          {
            "name": "page[number]",
            "in": "query",
            "required": false,
            "description": "The page of results that you want to retrieve. If not provided, the first page\nof results will be returned. Use in connection with `page[size]` to handle large result sets.\n\nExample: `page[number]=2&page[size]=25` will return the second page of result (results 26-50 based\non the `sort` value).",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1
            },
            "explode": false
          },
          {
            "name": "page[size]",
            "in": "query",
            "required": false,
            "description": "Sets the number of records to return per page. If not provided, the default is 25 records per\npage. Valid values for page size are any integer from 1 to 100.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "minimum": 1,
              "maximum": 100
            },
            "explode": false
          },
          {
            "name": "sort",
            "in": "query",
            "required": false,
            "description": "Sort results by the specified output field. Valid values are name, employeeCount, and revenue. \nAdd minus sign ('-') for descending order. The default sort if not provided is to sort the results \nby revenue in descending order `-revenue`\n\nExamples:\n- `name` will sort results by company name in ascending alphabetical order.\n- `-employeeCount` will sort results in descending order (from company with the most number of employees\nto the company with the least number of employees)",
            "schema": {
              "type": "string"
            },
            "explode": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/CompanySearchResponse"
                },
                "examples": {
                  "Company search by companyName for privileged customer": {
                    "summary": "Company search by companyName for privileged customer",
                    "description": "This example demonstrates how to search for companies using the ZoomInfo API utilizing input field. In this example, the companyName field is used to find a list of matching companies.",
                    "value": {
                      "data": [
                        {
                          "attributes": {
                            "logo": "https://res.cloudinary.com/zoominfo-com/image/upload/w_100,h_100,c_fit/zoominfo.com",
                            "name": "ZoomInfo",
                            "website": "www.zoominfo.com"
                          },
                          "id": "344589814",
                          "type": "Company"
                        },
                        {
                          "attributes": {
                            "name": "Zoominfo Com C Peter Taflan Marketing Communications"
                          },
                          "id": "1307620605",
                          "type": "Company"
                        }
                      ],
                      "links": {
                        "first": "/data/v1/companies/search?page#[number]=1&page#[size]=25",
                        "last": "/data/v1/companies/search?page#[number]=1&page#[size]=25"
                      },
                      "meta": {
                        "page": {
                          "number": 1,
                          "total": 2
                        },
                        "totalResults": 2
                      }
                    }
                  },
                  "Company search by metro region, industry codes including pagination and sorting url params": {
                    "summary": "Company search by metro region, industry codes including pagination and sorting url params",
                    "description": "This example demonstrates how to search for companies using the ZoomInfo API utilizing multiple input fields. In this example, the metroRegion and industryCodes field is used to find a list of matching companies on second page with two records per page sorted by name ascending.",
                    "value": {
                      "data": [
                        {
                          "attributes": {
                            "name": "123cd.org"
                          },
                          "id": "57295081",
                          "type": "Company"
                        },
                        {
                          "attributes": {
                            "name": "12Kerala"
                          },
                          "id": "352306193",
                          "type": "Company"
                        }
                      ],
                      "links": {
                        "first": "uri=/data/v1/companies/search?page[number]=1&page[size]=2",
                        "last": "uri=/data/v1/companies/search?page[number]=1426&page[size]=2",
                        "next": "uri=/data/v1/companies/search?page[number]=4&page[size]=2",
                        "prev": "uri=/data/v1/companies/search?page[number]=2&page[size]=2"
                      },
                      "meta": {
                        "page": {
                          "number": 2,
                          "total": 2
                        },
                        "totalResults": 2845
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorResponseModel"
                }
              }
            }
          }
        },
        "tags": [
          "Search"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/CompanySearchRequest"
              },
              "examples": {
                "Company search by companyName for privileged customer": {
                  "summary": "Company search by companyName for privileged customer",
                  "description": "This example demonstrates how to search for companies using the ZoomInfo API utilizing input field. In this example, the companyName field is used to find a list of matching companies.",
                  "value": {
                    "data": {
                      "attributes": {
                        "companyName": "Zoominfo"
                      },
                      "type": "CompanySearch"
                    }
                  }
                },
                "Company search by metro region, industry codes including pagination and sorting url params": {
                  "summary": "Company search by metro region, industry codes including pagination and sorting url params",
                  "description": "This example demonstrates how to search for companies using the ZoomInfo API utilizing multiple input fields. In this example, the metroRegion and industryCodes field is used to find a list of matching companies on second page with two records per page sorted by name ascending.",
                  "value": {
                    "data": {
                      "attributes": {
                        "metroRegion": "usa.california.sanfrancisco",
                        "industryCodes": "education.university"
                      },
                      "type": "CompanySearch"
                    }
                  }
                }
              }
            }
          },
          "description": "The request body containing company search criteria."
        },
        "security": [
          {
            "OAuth2Auth": [
              "api:data:company"
            ]
          }
        ],
        "x-additional-content-types": [
          "application/json"
        ],
        "x-api-roles": [
          "fea:zia",
          "fea:api"
        ],
        "x-api-role-requirement": "ANY_REQUIRED"
      }
    }
  },
  "security": [
    {
      "OAuth2Auth": []
    }
  ],
  "components": {
    "schemas": {
      "ManagementStatus": {
        "type": "object",
        "properties": {
          "underManagement": {
            "type": "boolean",
            "description": "Indicates whether record is under management within the contract period."
          },
          "purchaseDate": {
            "type": "string",
            "format": "date-time",
            "description": "Indicates when record was purchased if it is under management."
          }
        },
        "description": "Management status of the record."
      },
      "Page": {
        "type": "object",
        "required": [
          "total",
          "number"
        ],
        "properties": {
          "total": {
            "type": "integer",
            "format": "uint32",
            "description": "The total number of pages within the current result set"
          },
          "number": {
            "type": "integer",
            "format": "uint32",
            "description": "The current page number of the results"
          }
        },
        "description": "Meta information related to the current page and total number of pages"
      },
      "ResultMeta": {
        "type": "object",
        "required": [
          "totalResults",
          "page"
        ],
        "properties": {
          "totalResults": {
            "type": "integer",
            "format": "uint32",
            "description": "The total number of results based on the specified filters"
          },
          "page": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Page"
              }
            ],
            "description": "Paging information for the current result set"
          }
        },
        "description": "Metadata including paging information and the total number of records in the result set"
      },
      "Links": {
        "type": "object",
        "properties": {
          "first": {
            "type": "string",
            "format": "uri",
            "description": "A link to the first page of data"
          },
          "last": {
            "type": "string",
            "format": "uri",
            "description": "A link to the last page of data"
          },
          "prev": {
            "type": "string",
            "format": "uri",
            "description": "A link to the previous page of data"
          },
          "next": {
            "type": "string",
            "format": "uri",
            "description": "A link to the next page of data"
          }
        },
        "description": "Helpful links for fetching different pages of data from the current result set. When using these links, please provide the exact same request body between requests"
      },
      "ZoomInfo.Core.Foundations.ErrorSourceModel": {
        "type": "object",
        "properties": {
          "cookie": {
            "type": "string",
            "description": "Identifies the cookie name that caused the issue"
          },
          "header": {
            "type": "string",
            "description": "Identifies the header name that caused the error"
          },
          "pointer": {
            "type": "string",
            "description": "An RFC 6901 compliant JSON pointer to the entity in the request body that caused the error"
          },
          "parameter": {
            "type": "string",
            "description": "The name of the path or query parameter that caused the error"
          }
        }
      },
      "ZoomInfo.Core.Foundations.ErrorModel": {
        "type": "object",
        "required": [
          "id",
          "code",
          "status"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique id used to identify this specific error instance"
          },
          "code": {
            "type": "string",
            "description": "The error code describing the error category. A full list of error codes can be found in the documentation for each service"
          },
          "detail": {
            "type": "string",
            "description": "Message containing the specific details about this occurrence of the error"
          },
          "source": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorSourceModel"
              }
            ],
            "description": "An optional object identifying which part of the request caused the error"
          },
          "status": {
            "type": "string",
            "description": "The HTTP status code for the error"
          },
          "title": {
            "type": "string",
            "description": "The error name that describes this type of error"
          }
        },
        "description": "The object describing a specific error from the API"
      },
      "ZoomInfo.Core.Foundations.ErrorResponseModel": {
        "type": "object",
        "required": [
          "errors"
        ],
        "properties": {
          "detail": {
            "type": "string",
            "description": "A high-level detail of the error(s) that occurred during the request"
          },
          "title": {
            "type": "string",
            "description": "A high-level summary of the error(s) detected"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ZoomInfo.Core.Foundations.ErrorModel"
            },
            "description": "The list of errors raised during the request"
          }
        },
        "description": "The standard error response body model for the ZoomInfo API."
      },
      "CompanySearchResponseAttributes": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Company Name."
          },
          "city": {
            "type": "string",
            "description": "City of the company's primary address."
          },
          "state": {
            "type": "string",
            "description": "State or province of the company's primary address."
          },
          "country": {
            "type": "string",
            "description": "Country of the company's primary address."
          },
          "revenue": {
            "type": "string",
            "description": "Approximate yearly revenue for the company in 1000's. For example, a 100M company is expressed as 100000."
          },
          "employeeCount": {
            "type": "string",
            "description": "Approximate number of people employed by the company."
          },
          "website": {
            "type": "string",
            "description": "Company website URL."
          },
          "logo": {
            "type": "string",
            "description": "The URL which can be used to retrieve the logo for the company."
          },
          "managementStatus": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ManagementStatus"
              }
            ],
            "description": "Management status of the record."
          }
        },
        "description": "Response attributes for company search.",
        "x-class-extra-annotation": "@com.fasterxml.jackson.annotation.JsonIgnoreProperties(ignoreUnknown = true)"
      },
      "CompanyResponse": {
        "type": "object",
        "required": [
          "id",
          "type",
          "attributes"
        ],
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier for the resource"
          },
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "Company",
            "pattern": "Company"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanySearchResponseAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "ZoomInfo Company"
      },
      "CompanySearchResponse": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CompanyResponse"
            },
            "description": "The primary data of the document"
          },
          "meta": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ResultMeta"
              }
            ],
            "description": "Non-standard meta information about the document"
          },
          "links": {
            "allOf": [
              {
                "$ref": "#/components/schemas/Links"
              }
            ],
            "description": "Links related to the primary data"
          }
        },
        "description": "A list of companies that match the criteria specified in the request"
      },
      "CompanySearchRequestAttributes": {
        "type": "object",
        "properties": {
          "marketingDepartmentBudgetMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum marketing department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "marketingDepartmentBudgetMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum marketing department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 1, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "financeDepartmentBudgetMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum finance department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "financeDepartmentBudgetMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum finance department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 1, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "itDepartmentBudgetMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum information technology department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "itDepartmentBudgetMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum information technology department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 1, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "hrDepartmentBudgetMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum human resources department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "hrDepartmentBudgetMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum human resources department budget amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 1, maximum value is 2147483647 (approximately 2 trillion)."
          },
          "certified": {
            "type": "integer",
            "format": "int32",
            "description": "Denotes if ZoomInfo's research and data team has confirmed activity within the past 12 months. 1 = certified, 0 = not certified."
          },
          "excludeDefunctCompanies": {
            "type": "boolean",
            "description": "Defaults to false. Set true to exclude defunct companies from results."
          },
          "businessModel": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 50,
            "description": "Search using Business Model (B2C, B2B, B2G) for a company. Default is All."
          },
          "underManagement": {
            "type": "boolean",
            "description": "Returns whether or not record is under management if set to true."
          },
          "companyTicker": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 50,
            "description": "Company stock ticker symbol."
          },
          "companyDescription": {
            "type": "string",
            "maxLength": 500,
            "description": "Search for companies based on description. Accepts a space-separated list of individual words."
          },
          "companyType": {
            "type": "string",
            "maxLength": 500,
            "description": "Company type. Accepts a comma-separated list of types. Allowed values (case-insensitive): `none`, `private`, `public`, `npo`, `education`, `government`, `other`."
          },
          "address": {
            "type": "string",
            "maxLength": 500,
            "description": "Full Company Address."
          },
          "street": {
            "type": "string",
            "maxLength": 500,
            "description": "Street address portion of the company's location."
          },
          "state": {
            "type": "string",
            "maxLength": 500,
            "description": "State or province of the company's address."
          },
          "zipCode": {
            "type": "string",
            "maxLength": 500,
            "description": "Zip Code or Postal Code of the company's address. May only contain letters, numbers, whitespace, and the special characters `,-`."
          },
          "country": {
            "type": "string",
            "maxLength": 500,
            "description": "Country of the primary address of the associated company."
          },
          "continent": {
            "type": "string",
            "maxLength": 500,
            "description": "Continent of the primary address of the associated company."
          },
          "zipCodeRadiusMiles": {
            "type": "integer",
            "format": "int16",
            "description": "Used in conjunction with zipCode, designates a geographical radius (in miles) from the zipCode provided. Supported values are [10, 25, 50, 100, 250]"
          },
          "hashTagString": {
            "type": "string",
            "maxLength": 500,
            "description": "Hash tags for a company. Can include a comma-separated list."
          },
          "techAttributeTagList": {
            "type": "string",
            "maxLength": 500,
            "description": "Technology Product Tags. Can include a comma-separated list."
          },
          "primaryIndustriesOnly": {
            "type": "boolean",
            "description": "Default is false. Used in conjunction with the industryCodes input parameter. When set to true, any result returned must have one of the specified industries as a primary industry. If no industries are specified, then this parameter will be ignored."
          },
          "subUnitTypes": {
            "type": "string",
            "maxLength": 500,
            "description": "Company sub types (e.g., division, subsidiary). Use this in conjunction with parentId or ultimateParentId."
          },
          "industryCodes": {
            "type": "string",
            "maxLength": 500,
            "description": "Top-level industry that the contact works in. A contact can have multiple top level industries. Tags are based on the contact's current company. Can include a comma-separated list."
          },
          "industryKeywords": {
            "type": "string",
            "maxLength": 500,
            "description": "Industry keywords associated with a company. Can include either 'AND' or 'OR' operators. For example, 'software AND security' or 'software OR security'"
          },
          "sicCodes": {
            "type": "string",
            "maxLength": 500,
            "description": "The Standard Industrial Classification is a system for classifying industries by a four-digit code numerical assigned by the U.S. government to business establishments to identify the primary business of the establishment. Accepts a comma-separated list."
          },
          "naicsCodes": {
            "type": "string",
            "maxLength": 500,
            "description": "Four-digit numerical codes assigned by the U.S. government to business establishments to identify the primary business of the establishment. Accepts a comma-separated list of values."
          },
          "revenue": {
            "type": "string",
            "maxLength": 500,
            "description": "Annual revenue range in U.S. dollars. Accepts a comma-separated list of values."
          },
          "revenueMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum annual revenue for a company in U.S. dollars (expressed in thousands). Use with revenueMax to set a range."
          },
          "revenueMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum annual revenue for a company in U.S. dollars (expressed in thousands). Use with revenueMin to set a range."
          },
          "employeeRangeMin": {
            "type": "string",
            "maxLength": 500,
            "description": "Minimum employee count for a company. Use with employeeRangeMax to set a range. Alternatively, you can use the employeeCount parameter to search for pre-defined ranges."
          },
          "employeeRangeMax": {
            "type": "string",
            "maxLength": 500,
            "description": "Maximum employee count for a company. Use with employeeRangeMin to set a range. Alternatively, you can use the employeeCount parameter to search for pre-defined ranges."
          },
          "employeeCount": {
            "type": "string",
            "maxLength": 500,
            "description": "Employee count range. Accepts a comma-separated list of values. Alternatively, for more granular ranges, you can use the employeeRangeMin and employeeRangeMax parameters."
          },
          "companyRanking": {
            "type": "string",
            "maxLength": 500,
            "description": "Company ranking (e.g., Fortune 500). Accepts a comma-separated list of IDs."
          },
          "metroRegion": {
            "type": "string",
            "maxLength": 500,
            "description": "Company metro area. Accepts a comma-separated list of U.S. and Canada metro areas."
          },
          "locationSearchType": {
            "type": "string",
            "maxLength": 500,
            "description": "Location type (PersonOrHQ, PersonAndHQ, Person, HQ, PersonThenHQ)."
          },
          "fundingAmountMin": {
            "type": "integer",
            "format": "int32",
            "description": "Minimum funding amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0. If fundingAmountMin is used without fundingAmountMax, the result will be the amount specified or greater."
          },
          "fundingAmountMax": {
            "type": "integer",
            "format": "int32",
            "description": "Maximum funding amount in thousands (e.g., 1 = 1000, 500 = 500,000). Minimum value is 0. If fundingAmountMax is used without fundingAmountMin, the result will be the amount specified or less."
          },
          "fundingStartDate": {
            "type": "string",
            "format": "date",
            "description": "Start date of the funding in YYYY-MM-DD format. If fundingStartDate and fundingEndDate are both specified, they will be used as a range. Start date after end date returns an error. If start date and end date are the same, will return results for exact date."
          },
          "fundingEndDate": {
            "type": "string",
            "format": "date",
            "description": "End date of the funding in YYYY-MM-DD format. If fundingStartDate and fundingEndDate are both specified, they will be used as a range. Start date after end date returns an error. If start date and end date are the same, will return results for exact date."
          },
          "recentFundingRoundTypes": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 50,
            "description": "Filters for companies whose most recent funding round matches one of the given types. Accepts an array of values from the endpoint: /lookup/funding-round-types. This is a different filter mode than allFundingRoundTypes (which matches any round in the company's history), so only one of the two should be supplied per request."
          },
          "allFundingRoundTypes": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 50,
            "description": "Filters for companies that have had any funding round (at any point in their history) matching one of the given types. Accepts an array of values from the endpoint: /lookup/funding-round-types. This is a different filter mode than recentFundingRoundTypes (which matches only the most recent round), so only one of the two should be supplied per request."
          },
          "zoominfoContactsMin": {
            "type": "string",
            "maxLength": 500,
            "description": "Minimum number of ZoomInfo contacts associated with company."
          },
          "zoominfoContactsMax": {
            "type": "string",
            "maxLength": 500,
            "description": "Maximum number of ZoomInfo contacts associated with company."
          },
          "excludedRegions": {
            "type": "string",
            "maxLength": 500,
            "description": "Accepts a comma-separated list of U.S. and Canada states and metro areas. Companies from any of these regions will be excluded from search results."
          },
          "companyStructureIncludedSubUnitTypes": {
            "type": "string",
            "maxLength": 500,
            "description": "Company hierarchical structure values. Accepts a comma-separated list of values from 'UNSPECIFIED', 'LOCATION', 'DIVISION', 'ACQUISITION', 'SUBSIDIARY', 'FORMER_NEW_NAME'."
          },
          "oneYearEmployeeGrowthRateMin": {
            "type": "string",
            "maxLength": 500,
            "description": "Minimum one year employee growth rate for a company. Use with oneYearEmployeeGrowthRateMax to set a range."
          },
          "oneYearEmployeeGrowthRateMax": {
            "type": "string",
            "maxLength": 500,
            "description": "Maximum one year employee growth rate for a company. Use with oneYearEmployeeGrowthRateMin to set a range."
          },
          "twoYearEmployeeGrowthRateMin": {
            "type": "string",
            "maxLength": 500,
            "description": "Minimum two year employee growth rate for a company. Use with twoYearEmployeeGrowthRateMax to set a range."
          },
          "twoYearEmployeeGrowthRateMax": {
            "type": "string",
            "maxLength": 500,
            "description": "Maximum two year employee growth rate for a company. Use with twoYearEmployeeGrowthRateMin to set a range."
          },
          "parentId": {
            "type": "string",
            "maxLength": 500,
            "description": "ZoomInfo Company ID for parent company."
          },
          "ultimateParentId": {
            "type": "string",
            "maxLength": 500,
            "description": "Company sub types (e.g., division, subsidiary). Use this in conjunction with parentId or ultimateParentId."
          },
          "companyId": {
            "type": "string",
            "maxLength": 500,
            "description": "Unique ZoomInfo identifier for a company."
          },
          "companyName": {
            "type": "string",
            "maxLength": 500,
            "description": "Company name."
          },
          "companyWebsite": {
            "type": "string",
            "maxLength": 500,
            "description": "Company website URL in http://www.example.com format. Accepts a comma-separated list."
          },
          "engagementStartDate": {
            "type": "string",
            "format": "date",
            "description": "Engagement start date in YYYY-MM-DD format."
          },
          "engagementEndDate": {
            "type": "string",
            "format": "date",
            "description": "Engagement end date in YYYY-MM-DD format. EngagementStartDate is required."
          },
          "engagementType": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "maxItems": 50,
            "description": "List of engagement types to search for. Accepted values are 'email', 'phone', 'online meeting'. Accepts a comma-separated list of these values."
          },
          "excludeTechAttributeTagList": {
            "type": "string",
            "maxLength": 500,
            "description": "Exclude companies with these technology product tags. String can be one value ('131315') or a comma-separated list which is treated as OR logic ('131315, 132222'). Individual values can also include AND logic ('131315 AND 131301, 132222'). This last example would be evaluated as ((131201 AND 131301) OR 132222)."
          }
        },
        "description": "Request attributes for company search."
      },
      "CompanySearchResource": {
        "type": "object",
        "required": [
          "type",
          "attributes"
        ],
        "properties": {
          "type": {
            "type": "string",
            "description": "The type of the resource",
            "default": "CompanySearch",
            "pattern": "CompanySearch"
          },
          "attributes": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanySearchRequestAttributes"
              }
            ],
            "description": "The attributes defining the resource"
          }
        },
        "description": "Company search request resource."
      },
      "CompanySearchRequest": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "allOf": [
              {
                "$ref": "#/components/schemas/CompanySearchResource"
              }
            ],
            "description": "The primary data of the document"
          }
        },
        "description": "Company search request."
      }
    },
    "securitySchemes": {
      "OAuth2Auth": {
        "type": "oauth2",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://login.zoominfo.com",
            "tokenUrl": "https://okta-login.zoominfo.com/oauth2/default/v1/token",
            "scopes": {
              "api:data:contact": "Ability to search and enrich ZoomInfo Contact data",
              "api:data:company": "Ability to search and enrich ZoomInfo Company data",
              "api:data:intent": "Ability to search and enrich ZoomInfo Intent data",
              "api:data:news": "Ability to search and enrich ZoomInfo News data",
              "api:data:scoops": "Ability to search and enrich ZoomInfo Scoop data",
              "api:data:lookup": "Lookup ZoomInfo Data"
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.zoominfo.com/gtm",
      "description": "Base URL for the Data API"
    }
  ]
}
```

# Sibling pages

* [Search Contacts](https://docs.gtm.ai/zoominfoenterprise/reference/searchinterface_searchcontact.md)
* [Search Intent](https://docs.gtm.ai/zoominfoenterprise/reference/searchinterface_searchintent.md)
* [Search News](https://docs.gtm.ai/zoominfoenterprise/reference/searchinterface_searchnews.md)
* [Search Scoops](https://docs.gtm.ai/zoominfoenterprise/reference/searchinterface_searchscoop.md)